Skip to main content
GET
/
api
/
v1
/
purchases
/
{purchase_id}
La Pyme SDK
import { Lapyme } from "lapyme";

const lapyme = new Lapyme({
  bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});

const purchase = await lapyme.purchases.getPurchaseById({
  purchaseId: "9c692e8b-0f9a-4f7c-8b99-061a2eb188ae",
});
{
  "request_id": "<string>",
  "data": {
    "object": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "voucher_type": "<string>",
    "import_source_purchase_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "customs_dispatch_number": "<string>",
    "supplier_invoice_number": "<string>",
    "invoice_date": "<string>",
    "account_date": "<string>",
    "due_date": "<string>",
    "vat_perception_amount": 1,
    "national_tax_amount": 1,
    "gross_income_tax_amount": 1,
    "gross_income_tax_breakdown": [
      {
        "province_id": 123,
        "amount": 1
      }
    ],
    "municipal_tax_amount": 1,
    "internal_tax_amount": 1,
    "other_tax_amount": 1,
    "subtotal": 1,
    "tax_amount": 1,
    "exempt_amount": 1,
    "total": 1,
    "balance": 123,
    "discount": 1,
    "vat_breakdown": [
      {
        "tax_rate_id": 1,
        "base_amount": 1,
        "tax_amount": 1
      }
    ],
    "notes": "<string>",
    "currency": "<string>",
    "exchange_rate": "<string>",
    "pdf_path": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "supplier": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "tax_id": "<string>",
      "tax_id_type": "<string>",
      "tax_category": "<string>",
      "address": "<string>",
      "city": "<string>",
      "province_id": "<string>",
      "postal_code": "<string>",
      "payment_term_id": "<string>"
    },
    "warehouse": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "quantity": 123,
        "unit_cost": 1,
        "subtotal": 1,
        "tax_rate_id": 1,
        "is_exempt": true,
        "total": 1,
        "discount_percentage": 123,
        "purchase_order_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "product": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "sku": "<string>",
          "name": "<string>"
        },
        "purchase_order": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "formatted_order_number": "<string>"
        }
      }
    ],
    "accounting": {
      "object": "<string>",
      "journal_entry_ids": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "journal_entries_url": "<string>",
      "warnings": [
        {
          "code": "<string>",
          "message": "<string>"
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Incluí tu API key en el header Authorization con el prefijo Bearer.

Path Parameters

purchase_id
string<uuid>
required

ID de la compra

Response

Compra obtenida exitosamente

request_id
string
required
data
object
required